package io.renren.modules.app.dao;

import io.renren.modules.app.entity.WtTyEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.ZhxxEntity;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 楼盘幢号(楼宇)信息表
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-06-14 11:34:32
 */
@Mapper
public interface ZhxxDao extends BaseMapper<ZhxxEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param zhxxEntity
	 * @return
	 */
	List<ZhxxEntity> queryByPage(ZhxxEntity zhxxEntity);

	String querydhbm();

	List<WtTyEntity> gwh();

	List<WtTyEntity> wygs();

	List<WtTyEntity> fwjg();

	List<WtTyEntity> fwlx();
	
	List<WtTyEntity> kfdw(Map map);
	
	List<WtTyEntity> dwjcl(Map map);

	List<WtTyEntity> yzhskm();
	
	WtTyEntity selectkm(String id);
	
	List<ZhxxEntity> selectzhxx(String id);
	
	void updatezhxxyjje(ZhxxEntity zhxxEntity);

}
